function dispPHEV1(x)

global kappa v c rN rI rR dmax ss
dd=0:ss:dmax;
[eff,t,socUS06]=metafunc(x);
sAER=kappa*(x(3)*1000)*x(4)*eff.CD;
fuelPHEV=cal1fuel(x);
costPHEV=cal1cost(x);
ghgsPHEV=cal1ghgs(x);
[HEV,CV]=getHEVCV(dd);
HEVghgstot=trapz(dd,HEV.ghgspdf);
 CVghgstot=trapz(dd, CV.ghgspdf);
HEVfueltot=trapz(dd,HEV.fuelpdf);
 CVfueltot=trapz(dd, CV.fuelpdf);
HEVcosttot=trapz(dd,HEV.costpdf);
 CVcosttot=trapz(dd, CV.costpdf);
%
        disp(' ');
        disp('----------------------------------------------');
disp(sprintf(' Li-ion battery unit cost = %0.0f $/kWh',c.LiIon ));
disp(sprintf('   NiMH battery unit cost = %0.0f $/kWh',c.NiMH ));
disp(sprintf('           Gasoline price = %0.2f $/gal',c.gas ));
disp(sprintf('        Electricity price = %0.2f $/kWh',c.elec ));
disp(sprintf('       Gasoline emissions = %0.2f kg-CO2-eq/gal',v.gas ));
disp(sprintf('    Electricity emissions = %0.2f kg-CO2-eq/kWh',v.elec ));
disp(sprintf('Nominal discount rate = %-0.2f%%',rN*100 ));
disp(sprintf('   Real discount rate = %-0.2f%%',rR*100 ));
disp(sprintf('       Inflation rate = %-0.2f%%',rI*100 ));
        disp('----------------------------------------------');
%
disp('--- PHEV optimal design solutions ---');
disp(sprintf('     PHEV AER = %0.4f miles', sAER ));
disp(sprintf('       Engine size x1 = %0.4f (Engine %-0.1f kW)',x(1),x(1)*57 ));
disp(sprintf('        Motor size x2 = %0.4f (Motor %-0.1f kW)',x(2),x(2)*52 ));
disp(sprintf('      Battery size x3 = %0.4f (%-0.0f cells)',x(3),x(3)*1000 ));
disp(sprintf('      Design swing x4 = %0.4f',x(4) ));
disp(sprintf('   PHEV efficiency CD = %0.3f mile/kWh', eff.CD));
disp(sprintf('   PHEV efficiency CS = %0.3f mile/gal', eff.CS));
disp(sprintf(' Acceleration 0-60 CD = %0.3f secs', t.CD ));
disp(sprintf(' Acceleration 0-60 CS = %0.3f secs', t.CS ));
disp(sprintf('     SOC after 4 US06 = %0.3f', socUS06 ));
disp(sprintf('          Battery cap = %0.2f kWH', kappa*(x(3)*1000) ));
disp('-------------------------------------');
disp(sprintf(' PHEV fuel total = %0.4f gal',fuelPHEV));
disp(sprintf(' PHEV cost total = %0.4f dollars',costPHEV));
disp(sprintf(' PHEV GHGs total = %0.4f kg-CO2-eq',ghgsPHEV));
disp('----');
disp(sprintf('  HEV fuel total = %0.4f gal',HEVfueltot));
disp(sprintf('  HEV cost total = %0.4f dollars',HEVcosttot));
disp(sprintf('  HEV GHGs total = %0.4f kg-CO2-eq',HEVghgstot));
disp('----');
disp(sprintf('   CV fuel total = %0.4f gal',CVfueltot));
disp(sprintf('   CV cost total = %0.4f dollars',CVcosttot));
disp(sprintf('   CV GHGs total = %0.4f kg-CO2-eq',CVghgstot));
disp('-------------------------------------');