function [HEV,CV]=getHEVCV(dd)

global c v sLIFE k dmax rN rR rN D
prob = exppdf(dd,1/k);
% NiMH battery unit cost = $600/kWh 
HEV.mpg=60.1;
HEV.vehcost = (c.BASE+(17.8* 57+650)+(26.6*52+520)+1.31*c.NiMH);
HEV.vehghgs  = v.BASE+1.31*v.NiMH;
% CV: 126kW engine & 29.5 mpg (modified from Honda Accord)
CV.mpg = 29.5;
CV.vehcost  = c.BASE+(17.8*126+650); 
CV.vehghgs  = v.BASE;

T=sLIFE./dd/D;
% CRF: capital recovery factor
CRF_rNT = rN./(1-(1+rN).^(-T));
CRF_rRT = rR./(1-(1+rR).^(-T));
% coefficient for HEV using Li-ion battery

% discounted op-cost over vehicle life
HEV.EACday=(dd.*c.gas/HEV.mpg).*CRF_rNT./CRF_rRT + HEV.vehcost.*CRF_rNT./D;
 CV.EACday=(dd.*c.gas/ CV.mpg).*CRF_rNT./CRF_rRT +  CV.vehcost.*CRF_rNT./D;

% GHG emissions of NiMH battery is  = $230/kWh (Costa's paper)
HEV.fuelmile = 1/HEV.mpg;
HEV.fuelday  = dd.*HEV.fuelmile;
HEV.fuelpdf  = prob.*HEV.fuelday;
%
HEV.ghgsmile = HEV.vehghgs/sLIFE + v.gas/HEV.mpg;
HEV.ghgsday  = dd.*HEV.ghgsmile;
HEV.ghgspdf  = prob.*HEV.ghgsday;
%
HEV.costday  = HEV.EACday;
HEV.costmile = HEV.EACday./dd; HEV.costmile(1) = 0;
HEV.costpdf  = prob.*HEV.costday;
%
CV.fuelmile = 1/CV.mpg;
CV.fuelday  = dd.*CV.fuelmile;
CV.fuelpdf  = prob.*CV.fuelday;
%
CV.ghgsmile = CV.vehghgs/sLIFE + v.gas/CV.mpg; 
CV.ghgsday  = dd.*CV.ghgsmile;
CV.ghgspdf  = prob.*CV.ghgsday;
%
CV.costday  = CV.EACday;
CV.costmile = CV.EACday./dd; CV.costmile(1) = 0;
CV.costpdf  = prob.*CV.costday;
