function [costTOT,costVEH1,costVEH2,costVEH3]=calcostHPP(xd)

global ss dmax k
xv2=xd(1:4); xv3=xd(5:8);
d1=xd(9)*100; d2=xd(10)*100;

ds1 = 0 : ss : ceil(d1/ss)*ss;
ds2 = ceil(d1/ss)*ss : ss : ceil(d2/ss)*ss;
ds3 = ceil(d2/ss)*ss : ss : dmax;
ds1(1)=1e-12;
ds1(end)=d1;
ds2(1)=d1;
ds2(end)=d2;
ds3(1)=d2;

% VEH#1 = HEV on ds1
[HEV1,CV1]=getHEVCV(ds1);
if d1<ss,
    costVEH1=0; % to prevent trapz integrates on a scalar and fails
else
    costVEH1=trapz(ds1,exppdf(ds1,1/k).*HEV1.costday);
end

% VEH#2 = PHEV runs on ds2
PHEV2costday = getcostPHEV(xv2,ds2);
if abs(d1-d2)<ss,
    costVEH2=0;
else
    costVEH2=trapz(ds2,exppdf(ds2,1/k).*PHEV2costday);
end


% VEH#3 = PHEV on ds3
PHEV3costday = getcostPHEV(xv3,ds3);
if d2>(dmax-ss),
    costVEH3=0; % to prevent trapz integrates on a scalar and fails
else
    costVEH3=trapz(ds3,exppdf(ds3,1/k).*PHEV3costday);
end

costTOT = costVEH1 + costVEH2 + costVEH3;